import { WorkspaceViewProvider } from './index.js';
import '../../../elements/kc-workspace-frame/kc-workspace-frame.js';
import '../../../elements/kc-workspace-frame/kc-parts-controls.js';
import Editor from '../editor.js';
import { KCPartsControls } from '../../../elements/kc-workspace-frame/kc-parts-controls.js';
export declare class DefaultWorkspaceViewProvider extends WorkspaceViewProvider {
    private subscriptions;
    root: HTMLElement;
    private frame?;
    partsControls: KCPartsControls;
    source: string;
    constructor();
    createDOM(): void;
    onInstall(editor: Editor): void;
    dispose(): void;
    readonly toolbar: any;
    readonly outputViewRoot: HTMLElement | undefined;
}
export default DefaultWorkspaceViewProvider;
